Being hacked, I upgrade server software and then PHP didn't work, I need help

chadatip

Member
Mar 8, 2003
10
0
151
I'm running

Linux
Kernel version: 2.4.18-14
Apache version 1.3.28 (Unix)
PERL version 5.8.0
PHP version 4.2.3
MySQL version 4.0.15-standard

After being hacked by hacker name : NoNick, he said he's in Brazil.
My admin deside to upgrade server to newer version, but after upgrading, our PHP is not functioning.

I don't know how to fix this, please help.

cPanel.net Support Ticket Number:

cPanel.net Support Ticket Number:
 

urchin

Registered
Jun 30, 2003
1
0
151
I'm a webmaster,
We agree to hire for this service.

Please contact us, it's emergency.

cPanel.net Support Ticket Number:
 

WoodWorker

Registered
Apr 28, 2003
2
0
151
After being hacked you should really 're-image' the hard drive and start again, you never know what they've left behind.

Anyway try recompiling apache:

/scripts/easyapache

Type the command above in SSH as root.

cPanel.net Support Ticket Number:
 

Sash

Well-Known Member
Feb 18, 2003
252
0
166
Upgrade your kernel, it's exploitable.

Mike

cPanel.net Support Ticket Number:
 

markie

BANNED
Oct 5, 2003
143
0
166
Originally posted by Sash
Upgrade your kernel, it's exploitable.

Mike

cPanel.net Support Ticket Number:
Exploitable locally only!

cPanel.net Support Ticket Number:
 

markie

BANNED
Oct 5, 2003
143
0
166
Originally posted by chadatip
I'm running

Linux
Kernel version: 2.4.18-14
Apache version 1.3.28 (Unix)
PERL version 5.8.0
PHP version 4.2.3
MySQL version 4.0.15-standard

After being hacked by hacker name : NoNick, he said he's in Brazil.
My admin deside to upgrade server to newer version, but after upgrading, our PHP is not functioning.

I don't know how to fix this, please help.

cPanel.net Support Ticket Number:

cPanel.net Support Ticket Number:
You should have asked him how he got in!

cPanel.net Support Ticket Number:
 

Sash

Well-Known Member
Feb 18, 2003
252
0
166
Whether local or remote it is very easy to hack a server with that kernel.

Mike

cPanel.net Support Ticket Number:
 

WoodWorker

Registered
Apr 28, 2003
2
0
151
Sorry I didn't take any notice of the kernel version, Yes update it ASAP via up2date.

cPanel.net Support Ticket Number:
 

chadatip

Member
Mar 8, 2003
10
0
151
it's fixed

Thank you for all replies and comments, we fix this problem already.
I have some think to share with any body that face this terible experience.
You should not open every port nor IP address.
Allow specific IP to scecific port, maybe open only demostic range of IP for specific port.